Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class AbstractNumericValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.AbstractNumericValidator

Direct Known Subclasses:
  DecimalDatatypeValidator, DoubleDatatypeValidator, FloatDatatypeValidator

public abstract class AbstractNumericValidator
extends AbstractNumericFacetValidator

AbstractNumericValidator is a base class of decimal, double, and float schema datatypes

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: AbstractNumericValidator.java,v 1.1 2001/04/25 20:41:52 elena Exp $
Author:
  Elena Litani

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AbstractNumericValidator()`
`AbstractNumericValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `boundsCheck(java.lang.Object d)`
`protected abstract void` | `checkContent(java.lang.String content, java.lang.Object State, java.util.Vector enum, boolean asBase)`
`protected void` | `checkContentEnum(java.lang.String content, java.lang.Object state, java.util.Vector enumeration)` validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype
`java.lang.Object` | `clone()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Validate string against lexical space of datatype

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`assignAdditionalFacets, checkBaseFacetConstraints, checkFacetConstraints, compareValues, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, inheritAdditionalFacets, initializeValues, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNumericValidator

    public AbstractNumericValidator()
                             throws InvalidDatatypeFacetException

### AbstractNumericValidator

    public AbstractNumericValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Validate string against lexical space of datatype

  Parameters:
    `content` - A string containing the content to be validated
    `state` -
  Returns:
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C decimal type
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    clone in class AbstractDatatypeValidator

### checkContentEnum

    protected void checkContentEnum(java.lang.String content,
                                    java.lang.Object state,
                                    java.util.Vector enumeration)
                             throws InvalidDatatypeValueException

  validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype

  Parameters:
    `content` - A string containing the content to be validated
    `enumeration` - A vector with enumeration strings
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C decimal type;
    throws - InvalidDatatypeFacetException if enumeration is not BigDecimal

### checkContent

    protected abstract void checkContent(java.lang.String content,
                                         java.lang.Object State,
                                         java.util.Vector enum,
                                         boolean asBase)
                                  throws InvalidDatatypeValueException

### boundsCheck

    protected void boundsCheck(java.lang.Object d)
                        throws InvalidDatatypeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference